evaluations
Get evaluations synthetic candidates
Requires scopes: eval:read
GET
/
api
/
evaluations
/
{id}
/
synthetic-candidates
Get evaluations synthetic candidates
curl --request GET \
--url https://evalgate.com/api/evaluations/{id}/synthetic-candidates \
--header 'Authorization: Bearer <token>'import requests
url = "https://evalgate.com/api/evaluations/{id}/synthetic-candidates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://evalgate.com/api/evaluations/{id}/synthetic-candidates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"candidates": [
{
"id": "<string>",
"sourceType": "mission_proposal",
"lifecycleState": "approved",
"sourceFailureMode": "<string>",
"sourceClusterId": "<string>",
"input": "<string>",
"expectedOutput": "<string>",
"confidence": 123,
"qualityScore": 123,
"qualityVerdict": "<string>",
"dedupeHash": "<string>",
"similarityGroupId": "<string>",
"piiExposureScore": 123,
"piiDominantType": "<string>",
"provenance": {
"sourceTraceId": "<string>",
"sourceSpanId": "<string>",
"sourceToolCallId": "<string>",
"sourceRunId": "<string>",
"sourceTestResultId": "<string>",
"sourceFailureMode": "<string>",
"sourceClusterId": "<string>",
"modelCallId": "<string>",
"promptVersion": "<string>",
"generatorVersion": "<string>",
"dedupeHash": "<string>",
"similarityGroupId": "<string>"
},
"duplicateWarning": {
"of": "<string>"
},
"createdAt": "<string>"
}
],
"nextCursor": "<string>"
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}⌘I
Get evaluations synthetic candidates
